package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * BandCtrl
 */
@ApiModel(description = "BandCtrl")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class BandCtrlEntity   {
  @JsonProperty("egressEnable")
  private Boolean egressEnable;

  @JsonProperty("egressLimit")
  private Integer egressLimit;

  @JsonProperty("egressUnit")
  private Integer egressUnit;

  @JsonProperty("ingressEnable")
  private Boolean ingressEnable;

  @JsonProperty("ingressLimit")
  private Integer ingressLimit;

  @JsonProperty("ingressUnit")
  private Integer ingressUnit;

  public BandCtrlEntity egressEnable(Boolean egressEnable) {
    this.egressEnable = egressEnable;
    return this;
  }

  /**
   * Egress enable status
   * @return egressEnable
  */
  @ApiModelProperty(required = true, value = "Egress enable status")
  @NotNull


  public Boolean getEgressEnable() {
    return egressEnable;
  }

  public void setEgressEnable(Boolean egressEnable) {
    this.egressEnable = egressEnable;
  }

  public BandCtrlEntity egressLimit(Integer egressLimit) {
    this.egressLimit = egressLimit;
    return this;
  }

  /**
   * EgressLimit
   * @return egressLimit
  */
  @ApiModelProperty(value = "EgressLimit")


  public Integer getEgressLimit() {
    return egressLimit;
  }

  public void setEgressLimit(Integer egressLimit) {
    this.egressLimit = egressLimit;
  }

  public BandCtrlEntity egressUnit(Integer egressUnit) {
    this.egressUnit = egressUnit;
    return this;
  }

  /**
   * EgressUnit should be a value as follows: 1: 1Kps and 2: Mbps
   * @return egressUnit
  */
  @ApiModelProperty(value = "EgressUnit should be a value as follows: 1: 1Kps and 2: Mbps")


  public Integer getEgressUnit() {
    return egressUnit;
  }

  public void setEgressUnit(Integer egressUnit) {
    this.egressUnit = egressUnit;
  }

  public BandCtrlEntity ingressEnable(Boolean ingressEnable) {
    this.ingressEnable = ingressEnable;
    return this;
  }

  /**
   * Ingress enable status
   * @return ingressEnable
  */
  @ApiModelProperty(required = true, value = "Ingress enable status")
  @NotNull


  public Boolean getIngressEnable() {
    return ingressEnable;
  }

  public void setIngressEnable(Boolean ingressEnable) {
    this.ingressEnable = ingressEnable;
  }

  public BandCtrlEntity ingressLimit(Integer ingressLimit) {
    this.ingressLimit = ingressLimit;
    return this;
  }

  /**
   * IngressLimit
   * @return ingressLimit
  */
  @ApiModelProperty(value = "IngressLimit")


  public Integer getIngressLimit() {
    return ingressLimit;
  }

  public void setIngressLimit(Integer ingressLimit) {
    this.ingressLimit = ingressLimit;
  }

  public BandCtrlEntity ingressUnit(Integer ingressUnit) {
    this.ingressUnit = ingressUnit;
    return this;
  }

  /**
   * IngressUnit should be a value as follows: 1: 1Kps and 2: Mbps
   * @return ingressUnit
  */
  @ApiModelProperty(value = "IngressUnit should be a value as follows: 1: 1Kps and 2: Mbps")


  public Integer getIngressUnit() {
    return ingressUnit;
  }

  public void setIngressUnit(Integer ingressUnit) {
    this.ingressUnit = ingressUnit;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BandCtrlEntity bandCtrlEntity = (BandCtrlEntity) o;
    return Objects.equals(this.egressEnable, bandCtrlEntity.egressEnable) &&
        Objects.equals(this.egressLimit, bandCtrlEntity.egressLimit) &&
        Objects.equals(this.egressUnit, bandCtrlEntity.egressUnit) &&
        Objects.equals(this.ingressEnable, bandCtrlEntity.ingressEnable) &&
        Objects.equals(this.ingressLimit, bandCtrlEntity.ingressLimit) &&
        Objects.equals(this.ingressUnit, bandCtrlEntity.ingressUnit);
  }

  @Override
  public int hashCode() {
    return Objects.hash(egressEnable, egressLimit, egressUnit, ingressEnable, ingressLimit, ingressUnit);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BandCtrlEntity {\n");
    
    sb.append("    egressEnable: ").append(toIndentedString(egressEnable)).append("\n");
    sb.append("    egressLimit: ").append(toIndentedString(egressLimit)).append("\n");
    sb.append("    egressUnit: ").append(toIndentedString(egressUnit)).append("\n");
    sb.append("    ingressEnable: ").append(toIndentedString(ingressEnable)).append("\n");
    sb.append("    ingressLimit: ").append(toIndentedString(ingressLimit)).append("\n");
    sb.append("    ingressUnit: ").append(toIndentedString(ingressUnit)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

